Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3SaveOrUpdateEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractSaveEventListener
              org.hibernate.event.def.DefaultSaveOrUpdateEventListener
                  org.hibernate.ejb.event.EJB3SaveOrUpdateEventListener

All Implemented Interfaces:
  Serializable, CallbackHandlerConsumer, org.hibernate.event.SaveOrUpdateEventListener

    public class EJB3SaveOrUpdateEventListener

extends org.hibernate.event.def.DefaultSaveOrUpdateEventListener
implements CallbackHandlerConsumer

Overrides the LifeCycle OnSave call to call the PrePersist operation

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.event.def.AbstractSaveEventListener
`DELETED, DETACHED, PERSISTENT, TRANSIENT`

Constructor Summary
`EJB3SaveOrUpdateEventListener()`
`EJB3SaveOrUpdateEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`protected boolean` | `invokeSaveLifecycle(Object entity, org.hibernate.persister.entity.EntityPersister persister, org.hibernate.event.EventSource source)`
`void` | `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class org.hibernate.event.def.DefaultSaveOrUpdateEventListener
`entityIsDetached, entityIsPersistent, entityIsTransient, getCascadeAction, getUpdateId, invokeUpdateLifecycle, onSaveOrUpdate, performSaveOrUpdate, performUpdate, reassociateIfUninitializedProxy, saveWithGeneratedOrRequestedId`

Methods inherited from class org.hibernate.event.def.AbstractSaveEventListener
`cascadeAfterSave, cascadeBeforeSave, getAssumedUnsaved, getEntityState, getLoggableName, getMergeMap, isVersionIncrementDisabled, performSave, performSaveOrReplicate, saveWithGeneratedId, saveWithRequestedId, substituteValuesIfNecessary, validate, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.def.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3SaveOrUpdateEventListener

    public EJB3SaveOrUpdateEventListener()

### EJB3SaveOrUpdateEventListener

    public EJB3SaveOrUpdateEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### invokeSaveLifecycle

    protected boolean invokeSaveLifecycle(Object entity,
                                          org.hibernate.persister.entity.EntityPersister persister,
                                          org.hibernate.event.EventSource source)

  Overrides:
    `invokeSaveLifecycle` in class `org.hibernate.event.def.AbstractSaveEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD